<?php
/**
 *  (c) 2009 BeCast
 * -------------------------------------
 * Filename: module.class.php
 * Purpose: additional Module Functions
 * CVS Header: $Header$
 * 
 * This program is free software; you can redistribute it and/or modify  
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; version 2 of the License.              
 * 
 * This program is distributed in the hope that it will be useful,      
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
 * GNU General Public License for more details.                         
 * 
 * You should have received a copy of the GNU General Public License    
 * along with this program; if not, write to the Free Software          
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,                
 * MA  02111-1307  USA
 */
 
$module["module"]["name"]="Modul Class";
$module["module"]["ver"]="0.3.0";
use Smarty\Smarty;

class module {
	
 	public $uses_default_templates=FALSE;
	public $redirect;	
	public $titleaddon;
	var $get;
	var $post;
	var $files;
	var $request;
	var $session;
	var $cookie;


	function __construct() {
		global $log,$config,$db,$tpl,$task,$plugin;
		$this->tpl= new Smarty();
		$root = $_SERVER['DOCUMENT_ROOT'] . $config["path"];
		$this->tpl->setCompileDir($root . '/core/template/templates_c');
		$this->tpl->setCacheDir($root . '/core/template/cache');
		$this->tpl->setConfigDir($root . '/core/template/config');
		If($config["caching"]==1){
			$this->tpl->setCaching(Smarty::CACHING_LIFETIME_SAVED);
		}
		$this->tpl->assign("path",$config["path"]."/");
	}

	function __destruct() {
	}

	function meta() {
	}
	function footer() {
	}

}
?>
